Generate Cart and Checkout URL for Quote

Generates a cart URL and a checkout URL for a specific quote based on the provided `quote_id`. Cart and checkout URLs can only be generated for quotes that are in the Open status. This endpoint will generate a checkout link for a quote even if it is configured to hide the checkout button on the Buyer Portal. You can use this to create an alternate checkout flow for your sales quotes. Equivalent Storefront GraphQL API Mutation: `quoteCheckout`.

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Path parameters

quote_idstringRequired

Request

This endpoint expects an object.
storeHashstringOptional
The unique store hash for the BigCommerce store.

Response

OK
codeintegerDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS

Errors

404
Not Found Error